// Copyright 2009 by Keith P. Graham
// http://www.keithgraham.com

// if you move the images you need to put the path to the barcode image files. The variable imgpath39 will have to be altered
var imgpath39="bcchars/";

var cs39=' $%*+-./0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ';
var h39="2024252a2b2d2e2f303132333435363738394142434445464748494a4b4c4d4e4f505152535455565758595a";

function showBar(s,wid,hgt) {
	//use for writing inline to paint a page with barcodes on it.
	var j;
	for (j=0;j<s.length;j++) {
		var c= s.substr(j,1);
		var l= cs39.indexOf(c);
		if (l<0) l=6;
		var f= h39.substr(l*2,2);
		// you might tweak the margin is you make the barcode larger. 1px worked for barcodes in the 25 pixel wide range.
		document.write("<img style='margin:1px;padding:0;' border='0' width='"+wid+"' height='"+hgt+"' src='"+imgpath39+f+".gif' />");
	}
}
function getBar(s,wid,hgt) {
    // use to get a barcode string of html that can be used with innerhtml to dymaically crate a barcode
	var j;
	var bar="";
	for (j=0;j<s.length;j++) {
		var c= s.substr(j,1);
		var l= cs39.indexOf(c);
		if (l<0) l=6;
		var f= h39.substr(l*2,2);
		bar=bar+"<img style='margin:1px;padding:0;' border='0' width='"+wid+"' height='"+hgt+"' src='"+imgpath39+f+".gif' />";
	}
	return bar;
}
